This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 176780 - Review Request: wp_tray: A wallpaper utility that sits in the Notification Area
Review Request: wp_tray: A wallpaper utility that sits in the Notification Area
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Chabot
David Lawrence
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-01-02 07:48 EST by Ignacio Vazquez-Abrams
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-07 22:32:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Proposed 0.5.1 specfile (2.26 KB, text/plain)
2006-01-12 15:32 EST, Chris Chabot
no flags Details

  None (edit)
Description Ignacio Vazquez-Abrams 2006-01-02 07:48:13 EST
Spec Name or Url: http://fedora.ivazquez.net/files/extras/wp_tray.spec
SRPM Name or Url: http://fedora.ivazquez.net/files/extras/wp_tray-0.4.6-1.src.rpm
Description: Wallpaper Tray is a wallpaper utility that sits in your GNOME Panel Notification Area.
Comment 1 Chris Chabot 2006-01-12 12:25:02 EST
First observations:
Package does build cleanly on FC5 devel

However filepermissions for the %doc files are 755, they should be 644. This
makes  rpmlint complain:
rpmlint  /usr/src/redhat/RPMS/i386/wp_tray-0.4.6-1.i386.rpm 
E: wp_tray script-without-shellbang /usr/share/doc/wp_tray-0.4.6/COPYING
E: wp_tray script-without-shellbang /usr/share/doc/wp_tray-0.4.6/ChangeLog
E: wp_tray script-without-shellbang /usr/share/doc/wp_tray-0.4.6/TODO
E: wp_tray script-without-shellbang /usr/share/doc/wp_tray-0.4.6/README
E: wp_tray script-without-shellbang /usr/share/doc/wp_tray-0.4.6/AUTHORS
E: wp_tray script-without-shellbang /usr/share/doc/wp_tray-0.4.6/NEWS

The icons for displaying in the gnome menu seem to be missing, though the
desktop file has:
Icon=/usr/share/pixmaps/wp_tray/

There's no such directory / files in the build package.

The configuration dialog seems to be nothing but a glade template with no
functional code, none of the buttons do anything, only way to close it is by
clicking the [X] window icon

The 'wallpaper search too' seems to be just as function-less as the config dialog.

The URL to the home page gives a 404, should probably read:
http://planetearthworm.com/projects/wp_tray/index.php

The Source0: tag should really use atleast %{version}, so it auto updates with
version updates. Also the download link is (now) invalid, the line should read
something like:
Source0: http://planetearthworm.com/projects/wp_tray/files/%{name}-%{version}.tar.gz

Much newer upstream version is available (0.5.1), might be worth updating? It
seems to address the non-working dialogs among other things.

New upstream version does have a lot of new/different requirements. I think to
satisfy its new requirements you'd probably need:
BuildRequires:  libglademm24-devel libgnomecanvasmm26-devel gconfmm26-devel
libgnomemm26-devel libgnomeuimm26-devel          
Requires:       libglademm24 libgnomecanvasmm26 gconfmm26 libgnomemm26
libgnomeuimm26          

Which are present in atleast fedora-extras-development (haven't checked for FC4,
but should be)

What else you'd need is the boostfilesystem libraries, which unfortunatly are
not packaged for Fedora Extra's yet (though feel free to :-)) which i think are
located at: http://www.boost.org/

If you make your way thru all of that i'd be happy to give a formal review
Comment 2 Chris Chabot 2006-01-12 15:32:11 EST
Created attachment 123136 [details]
Proposed 0.5.1 specfile

Changed the original spec around to the upstream 0.5.1 version, removed desktop
file handing (no longer there) and added gconf handling, plus all the new *mm
and boost dependencies
Comment 3 Chris Chabot 2006-01-17 05:42:17 EST
Still awaiting responce from Ignacio, hope your not lost in bugzilla spam and
forgot about this? :-)
Comment 4 Ignacio Vazquez-Abrams 2006-01-17 23:21:06 EST
JFC, you'd think I have nothing to do all day but pop out packages for Extras :P

Updated.

http://fedora.ivazquez.net/files/extras/wp_tray-0.5.1-1.src.rpm
Comment 5 Chris Chabot 2006-01-18 05:36:42 EST
Thanks update looks good.

Formal check list:

MUST review items:
- Builds cleanly on FC5 devel.
- rpmlint:
W: wp_tray non-standard-dir-in-usr libexec
(ignorable error, its the standard location for applets)
- Source included matches upsteam source (md5sum)
- Package name meets guidelines
- spec file name is in %{name}.spec format
- Licence (GPL) is fedora extra's compatible & is included
- Spec file is in (american) english
- Does not list BuildRequires that are excepted in the package guidelines
- All build dependencies are listed
- No ldconfig needed
- All files have proper permissions
- Package is not relocatable
- No duplicate files in %files section
- No missing files in %files section
- Has a proper %clean section with rm -rf $RPM_BUILD_ROOT
- Uses macro's described in PackagingGuidelines
- No entries in %doc that are required for standard program operation
- No -devel package needed
- No directory-ownerships needed
- Proper desktop file BR/installing

Should items:
- Includes upstream licence file (LICENSE)
- No insane scriplets
- No unnescesarry requires
- Mock builds correctly

Thanks for the updates, FE-APPROVED
Comment 6 Chris Chabot 2006-01-18 18:18:29 EST
I remeber seeing import logs for this, did you make tag && make build? Bug is
still waiting for being closed as "NEXTRELEASE" for when it is :-)
Comment 7 Ignacio Vazquez-Abrams 2006-02-07 22:31:31 EST
Built under FC4 and devel.

Note You need to log in before you can comment on or make changes to this bug.